Donwgrade PHP 7.0 a PHP 5.6

php-300x157

 

Dado que la última versión de Ubuntu 16.04 LTS trae por defecto la versión 7.0 de PHP, si contamos con aplicaciones web un poco viejas nos encontraremos con la necesidad de volver a correr dichas aplicaciones sobre alguna versión anterior de PHP. Si este es tu caso te presento una simple solución para reemplazar la versión que trae el sistema con PHP 5.6.

sudo add-apt-repository ppa:ondrej/php

sudo apt update

sudo apt install --yes php5.6-cli php5.6-dev php-db php-pear php5.6 libapache2-mod-php5.6 php5.6-curl php5.6-gd php5.6-mbstring php5.6-mcrypt php5.6-xml php5.6-xmlrpc php5.6-sybase php5.6-xml python-software-properties build-essential libaio1

sudo aptitude remove php7.0 --purge

Listo! Ahora podemos correr nuestras aplicaciones PHP sin errores.

 

 

Anuncios

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s